-- $Name:Созвездие: Возвращение Сержанта$
-- $Version:0.01alpha$
-- $Name(ru):Созвездие: Возвращение Сержанта$
instead_version "2.4.1"

require "xact"			-- подключаем модуль xact
require "hideinv"		-- подключаем модуль hideinv
require "para"			-- догадайтесь, что мы подключили в этот раз ;)
require "dash"			-- подключаем dash
require "quotes"		-- подключаем quotes
--require "dbg"
require "sprites"
require "theme"
require "compass"
require "kbd"
require "cutscene"

game.codepage="UTF-8";

game.act = 'Не получается.';
game.inv = 'Хм, странная штука.';
game.use = 'Не сработает.';
game.gui.hidetitle = true;

dofile "objects.lua";
dofile "functions.lua";

function init()
--	compass_in = 'pic/up.png';
--	compass_ini = 'pic/up.png';
--	compass_ie = 'pic/right.png';
--	compass_iei = 'pic/right.png';
--	compass_is = 'pic/down.png';
--	compass_isi = 'pic/down.png';
--	compass_iw = 'pic/left.png';
--	compass_iwi = 'pic/left.png';
--	compass_iv = 'box:40x40,red,0;';
	compass_up_down = false;
	compass_init()
	hook_keys('w','a', 's', 'd');
    hook_keys('up', 'down', 'left', 'right');
    hook_keys('[8]', '[4]', '[6]', '[2]');
    put (sergeant, bridge);
end;

global {
map = '';
array = {};
a = 50;
b = 50;
x = 0;
y = 0;
roomname = 'room0_0';
myrooms = {};
dx = 0;
dy = 0;
mmap = '';
lx = 0;
ly = 0;
loc = '';
changemap = 0;
fatigue = 3; --устал
frozen = 3; --замерз
hungry = 3; --голоден
ebarcount = 0;
dtime = 0;
};

---Начало---------------------------------------------------------------------------------------------------------------

north = room {
	nam = 'Заглушка';
};

east = room {
	nam = 'Заглушка';
};

south = room {
	nam = 'Заглушка';
};

west = room {
	nam = 'Заглушка';
};

main = room {
	nam = 'Начало';
	enter = function()
		mapgen();
		landing();
		putto('minimapstat', inv(), 1);
		mmap = 'pic/planet.png';
		inv():disable('compass');
	end;
	dsc = 'Тут что-то будет, но потом.';
	way = {vroom('Вступление', 'introduction'), vroom('Играть', 'bridge')};
};

introduction = cutscene {
	nam = 'Вступление';
	dsc = function()
		p 'На четвертые сутки после поспешного побега с Кзина 9 старый грузовик начал разваливаться. Сержант не успевал бегать от рубки к реактору и обратно. Это случилось когда он по третьему разу уже занимался герметизацией рубашки реактора. Внезапное помутнение в глазах и приступ тошноты. Это означало только одно. Внеплановый выход из гиперпространства. Дюшенков бросил сварочник и побежал к рубке.^{cut Корабль начало трясти, нехороший признак.}^';
		p 'Сержант влетел в кресло у панели управления и запустил систему навигации. Пока он пристегивался на экране неспешно появлялись данные. Посудину выкинуло около неопознанной планеты и похоже посадка уже неизбежна. Сержант оценил траеторию и быстро принял решение. Выжал маневровые на полную и дал длинный импульс главным двигателем. Скорости добавилось, но зато теперь траектория корабля не ведет прямо в поверхность. Может быть удастся сделать несколько витков для погашения скорости и нормально приземлиться.^{cut Но надо еще приподнять корабль.}^';
		p 'Дюшенков снова включил маневровые, но они проработали всего несколько секунд и на экране появилась красная надпись "ОТКАЗ МАНЕВРОВЫХ ДВИГАТЕЛЕЙ, НЕТ МОЩНОСТИ". Вместе с этим резко подскочила температура реактора. Сержант с раздражением  вспомнил о недозаваренной заплате в оболочке.^{cut Температура продолжала повышаться.}^';
		p 'Он решительно набрал команду сброса отсека реактора и вовремя, спустя всего несколько секунд за бортом полыхнуло атомным пламенем.^-- Ну и что же у меня осталось без энергии? Аварийные химические ракеты, чёрт, сколько же лет этой посудине? -- Дюшенков быстро прогнал расчет торможения на аварийной химии.^{cut Все равно скорость великовата.}^';
		p '-- А что если облегчить корабль? -- Он решительно начал сбрасывать грузовые модули. Примитивный датчик на модулях, поняв что находится в атмосфере, давал команду на выброс парашюта.^-- Ну парни, удачи вам, вам в криокамерах перегрузки не страшны. Найду вас после посадки, наверное. -- Пожелал сержант удачи последнему модулю с замороженными десантниками рядовым Табуреткиным и старшиной Прокопенко. После чего запустил аварийную посадку, от навалившейся перегрузки он потерял сознание.^^{cut На земле.}{walk bridge}';
	end;
};

bridge = room {
	nam = 'Мостик';
	enter = function()
		if visits() == 0 then
			p 'Сержант очнулся от холода. Посадка была жестковата даже для подготовленного космонавта. Затекшими руками он с трудом отцепился от ремней и выбрался из кресла пилота.^-- Что же такой дубак? -- у кого-то поинтересовался сержант и ожидаемо не услышал ответа, этот старый грузовик (вернее остатки от него) не был оснащен ИИ, а остальные десантники были в криокамерах. Немного походив и размявшись, сержант вернулся к панели управления.';
		end;
		mmap = 'pic/bridge.png';
		lifeon(sergeant);
	end;
	obj = {'panel'};
	way = {vroom('Второй отсек', 'secondroom')};
};

panel_dlg = dlg {
	nam = 'Панель управления';
	phr = {
		{always = true, 'Диагностика.', 'Сержант ткнул пальцем в диагностику, но получил ответ, что "программа диагностики выполнила недопустимую операцию", после чего экран совсем погас.^-- Ну ладно, наверное проще сходить и посмотреть самому? Неплохая идея. -- спросил и согласился сам с собой Дюшенков.', [[back();]]};
		{always = true, 'Бортжурнал.', 'пока пусто', [[]]};
		{always = true, 'Отчеты.', 'пока пусто', [[]]};
		{always = true, 'Справка.', 'пока пусто', [[]]};
		{always = true, 'Выход.', nil, [[back();]]};
	};
};

secondroom = room {
	nam = 'Подсобка';
	enter = function()
		if visits() == 0 then
			p 'Выйдя в соседний отсек он быстро обнаружил причину холода.';
		end;
		mmap = 'pic/second.png';
		myrooms['room'..dx..'_'..dy] = new('myconstructor()');
		start = myrooms['room'..dx..'_'..dy];
	end;
	dsc = 'Это небольшое помещение служит складом и заодно местом отдыха экипажа.';
	obj = {'wall', 'cyber', 'lock', 'scaf'};
	way = {vroom('Мостик', 'bridge'), vroom('Наружу', 'start')};
};

cyber_dlg = dlg {
	nam = 'Кибер';
	enter = 'В отсеке все было перевернуто, распинывая вещи, сержант добрался до зарядной стойки ремонтного кибера. К счастью он не пострадал.';
	phr = {
		{'Закрыть дыры!', 'Кибер непонимающе мигнул красным.', [[pon 'two';]]};
		{tag = 'two', false, 'Заварить отверстия, устранить течь, восстановить целостность!', 'Брутфорс сработал, что-то из команд сержанта кибер понял, согласно мигнул зеленым и покатился к двери в задней переборке.^Сержант поспешно захлопнул дверь за кибером, правда теплее от этого не стало.', [[back(); objs():del(cyber);]]};
	};
};

lock_inside = room {
	nam = 'Шкафчик';
	enter = 'Сержант открыл шкафчик.';
	dsc = 'В шкафчике хранятся всякие нужные и ненужные вещи.';
	obj = {'locator', 'energy_bar'};
	way = {vroom('Закрыть шкафчик', 'secondroom')};
};

locator_dlg = dlg {
	nam = 'Локатор';
	enter = 'Локатором можно засечь радиопередатчики модулей. Правда эта примитивная модель показывает только направление, но лучше чем ничего.';
	phr = {
		{always = true, 'Настроить на корабль.', nil};
		{always = true, 'Закрыть настройку.', nil, [[back();]]};
	};
};



--антигравитационная лодка
--при выходе за пределы поля [15:28:21] <kerbal> "Поднялся шторм"
--[15:28:37] <kerbal> и сразу бац, и на острове.
--[15:28:49] <kerbal> без лодки и пошкарябаный
--[15:28:57] <Irremann> найти рандомную желтую клетку и сбросить туда
