minimapstat = menu {
	nam = 'миникарта';
	disp = function()
		if changemap == 0 then
			p(img(mmap));
		else
			p(img(map));
		end;
		p '^^';
	end;
	inv = function()
		if changemap == 0 then changemap = 1;
		else changemap = 0;
		end;
		return true;
	end;
};

sergeant = obj {
	nam = 'Сержант';
	dsc = function()
		p '^^{Сержант}';
		if fatigue == 3 then
			p 'немного устал';
		elseif fatigue == 4 then
			p 'сильно устал';
		elseif fatigue >= 5 then
			p 'смертельно устал';
		else
			p 'полон сил';
		end;
		if fatigue > 2 then
			p 'и';
		else
			pr ', но ';
		end;
		if frozen == 3 then
			pr 'слегка замерз';
		elseif frozen == 4 then
			pr 'сильно замерз';
		elseif frozen >= 5 then
			pr 'смертельно замерз';
		end;
		if hungry > 2 then
			if fatigue > 2 and frozen > 2 then
				pr ', а также ';
			elseif fatigue > 2 or frozen > 2 then
				p 'и';
			else
				pr ', но';
			end;
		end;
		if hungry == 3 then
			p 'чувствует легкий голод.';
		elseif hungry == 4 then
			p 'очень голоден.';
		elseif hungry >= 5 then
			p 'ужасно голоден.';
		else
			p '.';
		end;
	end;
	act = 'Сержант осмотрел себя, вроде цел.';
	life = function(s)
		if player_moved() then
			move(s, here(), where(s));
		end
	end;
};

locator = menu {
	nam = 'локатор';
	disp = function()
		loc = 'Локатор -> [';
		if dy > ly then loc = loc..'C';
		elseif dy < ly then loc = loc..'Ю';
		else loc = loc..'0';
		end;
		if dx > lx then loc = loc..'З';
		elseif dx < lx then loc = loc..'В';
		else loc = loc..'0';
		end;
		loc = loc..']';
		return(loc);
	end;
	dsc = 'На верхней полке лежит {локатор}.';
	tak = 'Дюшенков взял локатор.';
	inv = function()
		walk(locator_dlg);
	end;
}

panel = obj {
	nam = 'Панель управления';
	dsc = 'Большую часть скромного помещения мостика занимает {панель управления} с креслом пилота перед ней.';
	act = function()
		walk(panel_dlg);
	end;
};

wall = obj {
	nam = 'Стенка';
	dsc = 'В задней стене есть несколько {рваных отверстий}.';
	act = 'Сквозь них сочится холод и тусклый свет извне.';
};

cyber = obj {
	nam = 'Кибер';
	dsc = 'В зарядной стойке стоит {ремонтный кибер}.';
	act = function()
		walk(cyber_dlg);
	end;
};

scaf = obj {
	nam = 'Скафандр';
	dsc = 'На полу лежит {скафандр}.';
	act = function()
		p 'Для использования в гравитационном колодце типа планеты он был слишком велик и тяжел. Но зато в нем есть автономная система отопления. Сержант осмотрел индикаторы, воздуха полно, батареи хватит часов на десять. Дюшенков рассудил, что пока кибер не починит дыры, заниматься системой отопления бесполезно.';
		if hungry > 0 then
			p 'Но сначала надо поискать что-нибудь поесть, вроде в шкафчике что-то было.';
		else
			p 'Поэтому он, с некоторым трудом, залез в скафандр. После чего со спокойной совестью завалился спать прямо на полу.';
			frozen = 0;
			fatigue = 0;
			hungry = 1;
		end;
	end;
};

lock = obj {
	nam = 'Шкафчик';
	dsc = 'К стене привинчен {шкафчик}.';
	act = function()
		walk(lock_inside);
	end;
};

energy_bar = menu {
	nam = function()
		p('Батончиков - '..ebarcount..'шт.');
	end;
	dsc = 'В большой коробке лежат {энергетические батончики}.';
	act = function()
		if not have 'energy_bar' then inv():add('energy_bar'); end;
		if ebarcount < 10 then
			p 'Дюшенков пополнил запас батончиков.';
			ebarcount = 10;
		else p 'Нет, хватит, у меня и так недельный запас.';
		end;
	end;
	inv = function()
		if hungry > 2 then
			if ebarcount > 0 then
				p 'Сержант съел батончик и почувствовал себя лучше.';
				ebarcount = ebarcount - 1;
				hungry = 0;
			end;
		else p 'Сержант пока не хочет есть.';
		end;
	end;
};

ship = obj {
	nam = 'Корабль';
	dsc = '{Корабль} лежит среди кучи обломков.';
	act = function()
		p 'Корабль сильно поврежден.';
	end;
};
